<a href="https://discord.com/invite/aKeMQtzabu"><img src="https://img.shields.io/discord/780753544537178112?color=7289da&logo=discord&logoColor=white" alt="Discord server" /></a>

<a href="https://www.patreon.com/shevdev"><img src="https://img.shields.io/badge/donate-patreon-F96854.svg" alt="Patreon" /></a>

<a href="https://www.npmjs.com/package/discord.js"><img src="https://img.shields.io/npm/v/discord.js.svg?maxAge=3600" alt="NPM version" /></a>

# shevdev 🚀

[shevdev](https://youtube.com/wornoffkeys) is a module for Discord.JS with wide functionality to enrich your bot with unique systems. Such as artificial intelligence, distribution of quotes and much more thanks to our community.

# Table of Contents 💡

- [Community](#community) - get closer to this project.
- [Installation](#installation) - loading module shevdev.
- [Setup](#setup) - connection to MongoDB
- [ChatBot](#chatbot) - saving phrases and generating their own.
- [QuotesGenerate](#quotesgenerate) - will display quotes from popular people.
- [AllMethods](#allmethods) - list of all methods at the moment.

# Community ❤️

Feel free and land with our community of programmers: [Join Now](​​​​​​​https://discord.com/invite/aKeMQtzabu)

# Installation

First of all, install Node.JS

```bash
npm install shevdev
```

# Setup

```js
// import a shevdev module
const shevdev = require('shevdev')
// connection to MongoDB
new shevdev({
  mongoDB: 'your connection'
})

```

# ChatBot

### Example for update AI chatbot:

#### Be sure to start with this so that you have a database created.

```js
// import a shevdev module
const shevdev = require("shevdev")
// Using message event
client.on('message', (message) => {
// Checking that the bot's sentences 
// are not entered into the database
    if(message.author.bot) return
// Using the updateAI method, 
// we enter the necessary proposals into the database.
    shevdev.updateAI(message.guild.id, message.content)
})

```
### Communicating with guild members:

```js
// import a shevdev module
const shevdev = require('shevdev')
// I am using WOKCommands framework.
module.exports = {
    name: 'chatbot',
    callback: async({message}) => {
// Using the chatbot method 
// we generate text from the database 
// for the appropriate context.
    shevdev.chatbot(message.guild.id, message)
    }
}
```

# QuotesGenerate (ru) 🌊

### Example for generate a random quotes:

```js
// import a shevdev module
const shevdev = require('shevdev')
// I am using WOKCommands framework
module.exports = {
    name: 'quotes',
    callback: async({message}) => {
// Now we can get a quote from 
// a famous person and not only
    shevdev.quotes(message)
    }
}
```

# AllMethods 🔥

## .updateAI

```js
// Update AI your bot.
shevdev.updateAI(guildID, message)
```

## .chatbot

```js
// Makes a kind and smart sentences.
shevdev.chatbot(guildID, message)
```

## .quotes 

```js
// Generate a random popular quotes.
shevdev.quotes(message)
```








